Bug 572434 - [abrt] crash in comix-4.0.4-2.fc12: PngImagePlugin.py:337:load_prepare:IOError: cannot read interlaced PNG files
Summary: [abrt] crash in comix-4.0.4-2.fc12: PngImagePlugin.py:337:load_prepare:IOErro...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: comix
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ee543794
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-11 08:18 UTC by Adrian bartlett
Modified: 2010-03-30 02:23 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-03-30 02:19:34 UTC


Attachments (Terms of Use)
File: backtrace (698 bytes, text/plain)
2010-03-11 08:18 UTC, Adrian bartlett
no flags Details

Description Adrian bartlett 2010-03-11 08:18:27 UTC
abrt 1.0.7 detected a crash.

architecture: x86_64
cmdline: python /usr/bin/comicthumb '/home/adrian.bartlett/qBT_dir/Fansadox /home/adri /home /home/adria / /home/ / /home/adria' /tmp/.gnome_desktop_thumbnail.72S28U 128
component: comix
executable: /usr/bin/comicthumb
kernel: 2.6.31.12-174.2.22.fc12.x86_64
package: comix-4.0.4-2.fc12
reason: PngImagePlugin.py:337:load_prepare:IOError: cannot read interlaced PNG files
release: Fedora release 12 (Constantine)

backtrace
-----
PngImagePlugin.py:337:load_prepare:IOError: cannot read interlaced PNG files

Traceback (most recent call last):
  File "/usr/bin/comicthumb", line 209, in <module>
    im.thumbnail((x, y), Image.ANTIALIAS)
  File "/usr/lib64/python2.6/site-packages/PIL/Image.py", line 1522, in thumbnail
    self.load()
  File "/usr/lib64/python2.6/site-packages/PIL/ImageFile.py", line 155, in load
    self.load_prepare()
  File "/usr/lib64/python2.6/site-packages/PIL/PngImagePlugin.py", line 337, in load_prepare
    raise IOError("cannot read interlaced PNG files")
IOError: cannot read interlaced PNG files

Local variables in innermost frame:
self: <PngImagePlugin.PngImageFile instance at 0x7f5542066248>

How to reproduce
-----
1.opened a cbr file
2.
3.

Comment 1 Adrian bartlett 2010-03-11 08:18:29 UTC
Created attachment 399279 [details]
File: backtrace

Comment 2 Mamoru TASAKA 2010-03-17 18:23:49 UTC
Would you tell me where I can get the cbr file which
reproduces your issue or attach the cbr file to this
bugzilla if possible?

Comment 3 Adrian bartlett 2010-03-17 19:40:49 UTC
will assume from your request that the cbr file is corrupted

Comment 4 Mamoru TASAKA 2010-03-18 06:16:42 UTC
Ah, that may be possible...

Comment 5 Fedora Update System 2010-03-18 12:03:29 UTC
comix-4.0.4-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/comix-4.0.4-3.fc12

Comment 6 Fedora Update System 2010-03-18 12:04:43 UTC
comix-4.0.4-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/comix-4.0.4-3.fc11

Comment 7 Fedora Update System 2010-03-20 03:50:46 UTC
comix-4.0.4-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update comix'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/comix-4.0.4-3.fc12

Comment 8 Fedora Update System 2010-03-30 02:19:18 UTC
comix-4.0.4-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-03-30 02:23:02 UTC
comix-4.0.4-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.